Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IGraphicsJ2D

    java.lang.Object
      igeo.gui.IGraphicsJ2D

All Implemented Interfaces:
  IGraphics, IGraphics2D

    public class IGraphicsJ2D

extends java.lang.Object
implements IGraphics2D

Class of Graphics to draw 3D geometry (OpenGL or P3D)

Author:
  Satoru Sugihara

Field Summary
`IView` | `view`

Constructor Summary
`IGraphicsJ2D()`

Method Summary
`void` | `clr(java.awt.Color c)` fill color
`void` | `clr(float r, float g, float b)` fill color (float 0-255)
`void` | `clr(float r, float g, float b, float a)` fill color (float 0-255)
`void` | `draw(java.util.ArrayList<IGraphicI> objects, IView v)`
`void` | `stroke(java.awt.Color c)` stroke (line) color
`void` | `stroke(float r, float g, float b)` stroke color (float 0-255)
`void` | `stroke(float r, float g, float b, float a)` stroke color (float 0-255)
`IGraphicMode.GraphicType` | `type()`
`IView` | `view()`
`void` | `weight(float w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### view

    public IView view

Constructor Detail

### IGraphicsJ2D

    public IGraphicsJ2D()

Method Detail

### type

    public IGraphicMode.GraphicType type()

  Specified by:
    `type` in interface `IGraphics`

### view

    public IView view()

  Specified by:
    `view` in interface `IGraphics`

### draw

    public void draw(java.util.ArrayList<IGraphicI> objects,
                     IView v)

  Specified by:
    `draw` in interface `IGraphics`

### clr

    public void clr(java.awt.Color c)

  Description copied from interface: `IGraphics`
  fill color

  Specified by:
    `clr` in interface `IGraphics`

### clr

    public void clr(float r,
                    float g,
                    float b,
                    float a)

  Description copied from interface: `IGraphics`
  fill color (float 0-255)

  Specified by:
    `clr` in interface `IGraphics`

### clr

    public void clr(float r,
                    float g,
                    float b)

  Description copied from interface: `IGraphics`
  fill color (float 0-255)

  Specified by:
    `clr` in interface `IGraphics`

### stroke

    public void stroke(java.awt.Color c)

  Description copied from interface: `IGraphics`
  stroke (line) color

  Specified by:
    `stroke` in interface `IGraphics`

### stroke

    public void stroke(float r,
                       float g,
                       float b,
                       float a)

  Description copied from interface: `IGraphics`
  stroke color (float 0-255)

  Specified by:
    `stroke` in interface `IGraphics`

### stroke

    public void stroke(float r,
                       float g,
                       float b)

  Description copied from interface: `IGraphics`
  stroke color (float 0-255)

  Specified by:
    `stroke` in interface `IGraphics`

### weight

    public void weight(float w)

  Specified by:
    `weight` in interface `IGraphics`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD